%bcond_with doc
%bcond_without qt4

Name:		doxygen
Version:	1.8.13
Release:	%mkrel 2
Summary:	A documentation system for C/C++
Summary(de):	Doxygen ist DAS Dokumentationssystem für C/C++
Group:		Development/Other
License:	GPLv2+
URL:		http://www.stack.nl/~dimitri/doxygen/
Source0:	ftp://ftp.stack.nl/pub/users/dimitri/%{name}-%{version}.src.tar.xz
Patch0:		0001-Bug-776791-1.8.13-Regression-Segfault-building-the-b.patch
BuildRequires:	bison
BuildRequires:	cmake
BuildRequires:	flex
BuildRequires:	gcc-c++
BuildRequires:	graphviz
BuildRequires:	png-devel
%if %with qt4
BuildRequires:	qt4-devel
%endif
%if %with doc
BuildRequires:	texlive
BuildRequires:	texlive-texmf
BuildRequires:	ghostscript 
BuildRequires:	python
%endif

%description
Doxygen is a documentation system for C, C++ and IDL. It can generate
an on-line class browser (in HTML) and/or an off-line reference manual
(in LaTeX) from a set of documented source files. There is also
support for generating man pages and for converting the generated
output into Postscript, hyperlinked PDF or compressed HTML. The
documentation is extracted directly from the sources.

Doxygen can also be configured to extract the code-structure from
undocumented source files. This can be very useful to quickly find
your way in large source distributions.

%description -l de
Doxygen ist ein Dokumentationssystem für C, C++ und IDL. Es kann eine Online-Browser-Klasse 
(in HTML) und/oder ein Offline-Referenz-Handbuch (In LaTeX) aus einem Satz von 
dokumentierten Source-Dateien erstellt werden. Durch spezielle Kommentare im 
Quelltext können Software-Entwickler Erläuterungen zu Programmelementen definieren, 
aus denen Doxygen eine übersichtliche Dokumentation erstellt. Außerdem ist es 
möglich, einen zusammenfassenden Überblick über den Aufbau und die Elemente eines 
bereits existierenden Programms (verwendete Dateien, Funktionen, Variablen sowie 
deren Rolle im Programmablauf) zu erzeugen.

%if %with qt4
%package	doxywizard
Summary:	A GUI for creating and editing configuration files
Summary(de): Eine GUI für das Erzeugen und Bearbeiten von Konfigurationsdateien
Group:		Development/Other
Requires:	%{name} = %{version}

%description	doxywizard
Doxywizard is a GUI for creating and editing configuration files that
are used by doxygen.

%description doxywizard -l de
Doxywizard ist eine GUI für die Erstellung und Bearbeitung von Konfigurationsdateien,
die von doxygen genutzt werden.

%endif

%prep
%setup -q
%apply_patches

%{__perl} -pi -e "s|^TMAKE_CFLAGS_RELEASE.*|TMAKE_CFLAGS_RELEASE = %{optflags}|" tmake/lib/linux-g++/tmake.conf
%{__perl} -pi -e "s|/lib$|/%{_lib}|" tmake/lib/linux-g++/tmake.conf
# XXX configure is going to fail if both 32-bit and 64-bit qt3-devel
# are installed
find -type d -exec %{__chmod} 0755 {} \;
# build with system libpng
%{__rm} -rf libpng

%build
%cmake \
%if %with doc
	-Dbuild_doc=ON \
%else
	-Dbuild_doc=OFF \
%endif
%if %with qt4
	-Dbuild_wizard=ON \
%endif
	-Dbuild_xmlparser=ON \
	-DMAN_INSTALL_DIR=%{_mandir}/man1 \
	-DDOC_INSTALL_DIR=%{_docdir}/doxygen \
	-DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
	-DBUILD_SHARED_LIBS=OFF

%make

%if %with doc
%make docs
%endif

%install
%if %with doc
cp doc/*.1 build/man/
cp doc/*.pdf build/pdf/
%endif
%makeinstall_std -C build

%if %with doc
mv %{buildroot}%{_docdir}/doxygen .
%endif

%files
%if %with doc
%doc doxygen
%endif
%doc README.md
%{_bindir}/doxygen
%if %with doc
%{_mandir}/man1/doxygen.1*
%{_mandir}/man1/doxyindexer.1*
%{_mandir}/man1/doxysearch.1*
%endif

%if %with qt4
%files doxywizard
%{_bindir}/doxywizard
%if %with doc
%{_mandir}/man1/doxywizard.1*
%endif
%endif


%changelog
* Mon Feb 27 2017 adrianomorselli <adrianomorselli> 1.8.13-2uplos2017
- apply upstream bug fix patch
- removed old stuff

